# httpignorablecodes

Lists HTTP status codes that omhttp never retries.

This parameter applies to omhttp: HTTP Output Module.

Name:

  httpignorablecodes

Scope:

  input

Type:

  array

Default:

  input=none

Required?:

  no

Introduced:

  Not specified

## Description

An array of strings that defines a list of one or more HTTP status codes that are not retriable by the omhttp plugin.

## Input usage

    module(load="omhttp")

    action(
        type="omhttp"
        httpIgnorableCodes=["400", "404"]
    )

## See also

See also omhttp: HTTP Output Module.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.